function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

var gSvgFigSizeIndex_con = new Array(0.5 , 0.75 , 1 , 1.25 , 1.5 , 1.75 , 2);

var gSvgFigSizeIndexNow_con;

var gSvgFigIniWidthSize = 0;

var gSvgFigChangeFlag;

var gViewWidth;
var gViewHeight;


function SVG_SetTransform(FW,FIW,SI,VW,VH)
{
	gSvgFigWinwidth_con     = FW;
	gSvgFigIniWidthSize     = FIW;
	gSvgFigSizeIndexNow_con = SI;
	gViewWidth              = VW;
	gViewHeight             = VH;
}


function SVG_ConExpansion(navi)
{
	if( gSvgFigSizeIndex_con.length - 1 > gSvgFigSizeIndexNow_con)
	{
		gSvgFigSizeIndexNow_con ++;
		SVG_ConSizeChange(navi,"b");
	}
}


function SVG_ConReduction(navi)
{
	if( 0 < gSvgFigSizeIndexNow_con){
		gSvgFigSizeIndexNow_con --;
		SVG_ConSizeChange(navi);
	}
}


function SVG_ConNormal(navi)
{
		gSvgFigSizeIndexNow_con = 2;
		SVG_ConSizeChange(navi,"n");
}


function SVG_ConSizeChange(navi,Disp_size)
{
	var magni;

	gSvgFigObj = window.parent.info.document.getElementsByTagName('embed');

	var length = gSvgFigObj.length;

	if (length != 0)//20080912add
	{
		for(var i = 0; i < length; i++)
		{
			svgObj = gSvgFigObj[i];

			parent.info.SVG_ConObj('',svgObj);

			if (Disp_size != "n")
			{
				magni = svgObj.width / gSvgFigIniWidthSize;
				gSvgFigSizeIndexNow_con = Cal_Mag2(magni);

				var Swidth = new Number(svgObj.width) + 65;//20080912add

				window.parent.fs.cols = Swidth + "," + "*" ;//20080912add
			}
			else
			{
				window.parent.fs.cols = 280 + "," + "*" ;//20080912add
			}
			svgObj.width = gSvgFigIniWidthSize * gSvgFigSizeIndex_con[gSvgFigSizeIndexNow_con];
			svgObj.height= svgObj.width * gViewHeight / gViewWidth;
		}

		//var Swidth = new Number(svgObj.width) + 35;//20080912comment
		//window.parent.fs.cols = Swidth + "," + "*" ;//20080912comment

		parent.info.gSvgFigChangeFlag = 1;

	}
	else
	{
		gSvgFigSizeIndexNow_con = 2;
	}
}

function Cal_Mag2(magni)
{
	var FigSizeIndex = 0;

	if(magni < 1.0 )
	{
		FigSizeIndex = 2;
	}
	else if((magni == 1.0) || ((magni > 1.0) && (magni < 1.246)))
	{
		FigSizeIndex = 3;
	}
	else if((magni == 1.246) || ((magni > 1.246) && (magni < 1.497)))
	{//1.2469
		FigSizeIndex = 4;
	}
	else if((magni == 1.497) || ((magni > 1.497) && (magni < 1.748)))
	{//1.4979
		FigSizeIndex = 5;
	}
	else if(magni >= 1.748)
	{//1.7489
		FigSizeIndex = 6;
	}

	return FigSizeIndex;

}


function navi_OutPutConMenu()
{

	var sZoomFit = gFooter2_ZoomFit;
	var sZoomIn = gFooter2_ZoomIn;

	OutHtml = '<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr>'

    +'<td width=\"60\"><a href=\"javascript:SVG_ConNormal(\'navicon\')\; MM_swapImage(\'Image9\',\'\',\'../../common/image/button/footer_l/bottom_conzoomfit.gif\',1)\;\" onMouseOver=\"MM_swapImage(\'Image9\',\'\',\'../../common/image/button/footer_l/over_conzoomfit.gif\',1)\" onMouseOut=\"MM_swapImgRestore()\"><img src=\"../../common/image/button/footer_l/conzoomfit.gif\" alt=\"'
	+sZoomFit
	+'\" name=\"Image9\" width=\"60\" height=\"25\" border=\"0\" id=\"Image9\"></a></td>'
	+'<td width=\"1\"><img src=\"../../common/image/other/hm_line.gif\" width=\"1\" height=\"25\"></td>'
    +'<td width=\"60\"><a href=\"javascript:SVG_ConExpansion(\'navicon\')\; MM_swapImage(\'Image8\',\'\',\'../../common/image/button/footer_l/bottom_conzoomin.gif\',1)\;\" onMouseOver=\"MM_swapImage(\'Image8\',\'\',\'../../common/image/button/footer_l/over_conzoomin.gif\',1)\" onMouseOut=\"MM_swapImgRestore()\"><img src=\"../../common/image/button/footer_l/conzoomin.gif" alt=\"'
	+sZoomIn
	+'\" name=\"Image8\" width=\"60\" height=\"25\" border=\"0\" id=\"Image8\"></a></td>'
	+'<td width=\"1\"><img src=\"../../common/image/other/hm_line.gif\" width=\"1\" height=\"25\"></td>'
	+'<td background=\"../../common/image/other/hm_back.gif\"><img src=\"../../common/image/other/space.gif\" width=\"45\" height=\"1\"></td>'
	+'</tr>'
	+'</table>';

	return OutHtml;

}
